Bug 485381 - backport critical netxen driver fixes from upstream kernel to RHEL5.4
backport critical netxen driver fixes from upstream kernel to RHEL5.4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity high
: rc
: ---
Assigned To: Tony Camuso
Red Hat Kernel QE team
:
: 474454 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 02:36 EST by Dhananjay Phadke
Modified: 2010-10-23 03:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 457958
Environment:
Last Closed: 2009-09-02 05:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netxen bugfixes from upstream (52.89 KB, patch)
2009-03-03 15:26 EST, Dhananjay Phadke
no flags Details | Diff
backported bugfixes from upstream (61.64 KB, patch)
2009-03-03 15:30 EST, Dhananjay Phadke
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 04:53:34 EDT

  None (edit)
Description Dhananjay Phadke 2009-02-13 02:36:41 EST
+++ This bug was initially created as a clone of Bug #457958 +++

As of 2.6.29-rc4 following bug fixes in NetXen driver have been
accepted into upstream after driver backport to RHEL5.3.

commit acdb602fb3b7e13f3ffd2098549fab1bbfccba2f
commit b3df68f8f5a29888ae693fdb84ebabbc28ed9400
commit e125646ab56b490d0390b158e0afa9cccfc1f897
commit 32ec803348b4d5f1353e1d7feae30880b8b3e342
commit cdff1036492ac97b4213aeab2546914a633a7de7
commit 3bfafd6b136bea2de9bd96c01b7e3808635a15b2
commit 6f70340698333f14b1d9c9e913c5de8f66b72c55
commit 06e9d9f9783860fe4c602ef491f47211804ccc96
commit 27c915a4d843b90eb4065298969578d15e5e6ab0
commit c7860a2aec571ea95d3ad19b8d9775b27828baac
commit 391587c3447d99b842a647f8e701895c9eea050b
commit 2edbb454428729f450f7a0aabbf95ac62b46b78a

We need these bugfixes to be applied to RHEL5.4 kernel.

I will upload backported patch(es) for these.
Comment 1 Dhananjay Phadke 2009-03-03 15:26:26 EST
Created attachment 333922 [details]
netxen bugfixes from upstream

This is the unified patch of bugfixes submitted upstream.

Patch header has commit ids and short log included.
Comment 2 Dhananjay Phadke 2009-03-03 15:30:25 EST
Created attachment 333924 [details]
backported bugfixes from upstream

Sorry, attached patch without header in it.

This one has commit ids and shortlog in header.

commit 2edbb454428729f450f7a0aabbf95ac62b46b78a
commit 391587c3447d99b842a647f8e701895c9eea050b
commit c7860a2aec571ea95d3ad19b8d9775b27828baac
commit 27c915a4d843b90eb4065298969578d15e5e6ab0
commit 06e9d9f9783860fe4c602ef491f47211804ccc96
commit 6f70340698333f14b1d9c9e913c5de8f66b72c55
commit 3bfafd6b136bea2de9bd96c01b7e3808635a15b2
commit 009777846165fcc49352c0f1487e3a96102884c3
commit cdff1036492ac97b4213aeab2546914a633a7de7
commit 32ec803348b4d5f1353e1d7feae30880b8b3e342
commit e125646ab56b490d0390b158e0afa9cccfc1f897
commit 584dbe9475313e117abf9d2af88164edfd429c9a
commit b3df68f8f5a29888ae693fdb84ebabbc28ed9400
commit acdb602fb3b7e13f3ffd2098549fab1bbfccba2f
commit ef38fa77786584c630f5da6696111a6a558c7f23
commit 39754f441055c861da403d4e9a67ed80f242a4b4
commit 044fad0dbb4e814c061916fe5a36851af2fd1135
commit 028e1415a78733fcd2cba4b4c001826cc37a373e
Comment 4 RHEL Product and Program Management 2009-03-10 15:28:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Don Zickus 2009-03-16 11:22:14 EDT
in kernel-2.6.18-135.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 Dhananjay Phadke 2009-03-17 22:08:26 EDT
We downloaded 135.el5 and verified that it has the fix posted in
comment #2.

Thank you.
Comment 8 John Jarvis 2009-05-21 11:47:20 EDT
*** Bug 474454 has been marked as a duplicate of this bug. ***
Comment 10 Chris Ward 2009-07-03 14:24:52 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 11 Sandy Garza 2009-07-22 17:28:31 EDT
Verified successfully by HP with RHEL 5.4 Snapshot2.
Comment 13 errata-xmlrpc 2009-09-02 05:02:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.